<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbAdslPlanTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_adsl_plan', function(Blueprint $table)
		{
			$table->foreign('adsl_supplier_plan_id', 'fk_ap_asp')->references('id')->on('ab_adsl_supplier_plan')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_adsl_plan', function(Blueprint $table)
		{
			$table->dropForeign('fk_ap_asp');
		});
	}

}
